Bug 165487 - Review Request: Wmapmload monitors your apm status in an lcd display fashion
Summary: Review Request: Wmapmload monitors your apm status in an lcd display fashion
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: David Lawrence
URL: http://tnemeth.free.fr/projets/dockap...
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-08-09 19:09 UTC by Andreas Bierfert
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-15 12:27:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andreas Bierfert 2005-08-09 19:09:46 UTC
Spec Name or Url: http://fedora.lowlatency.de/review/wmapmload.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/wmapmload-0.3.4-1.src.rpm
Description: 
Wmapmload monitors your apm status in an lcd display fashion

Comment 1 José Matos 2005-09-12 07:47:16 UTC
Would you consider to rename the package to x11-applet-wmapmload? 
 
This kind of packages are really small, they are very usefull to small/older 
systems that do not support the heavier desktop environments (kde/gnome/xfce). 
 
In this case they are sufficiently small to be reasonable to have a single 
package containing them all. I know that this has lots of drawbacks and so 
I propose to give them a commom prefix. I suggest x11-applet but any other 
name that conveys the same meaning is OK with me. 
 
I have approved a previous package wmacpi from you and I propose to rename 
it as well. 
 
Comments? 

Comment 2 Andreas Bierfert 2005-09-12 08:23:07 UTC
I am not sure on how to deal with this. For me there is the conflict of original
name vs. prefix-name. I don't know which one is better. Maybe we can satisfy
both and make a virtual package which requires all dockapps that are part of FE.
This way we can still use the original names of the packages and also have a
nice and easy way to keep track of all the dockapps.

As to the naming of such a package? Maybe x11-dockapps? x11-applets? And if we
take this approach we might want to have some discussions about that as we would
need some sort of common process for this.

Comment 3 José Matos 2005-09-12 11:30:26 UTC
I will present these doubts in fedora packaging list and I will wait for some 
output before returning here. 
 
FWIW, the package looks OK. Nice work. 

Comment 4 José Matos 2005-09-15 12:26:56 UTC
+ the package builds in mock/x86_64   
+ rpmlint   
W: wmapmload no-version-in-last-changelog  
W: wmapmload-debuginfo no-version-in-last-changelog  
   
  These can be ignored.   
   
+ package name follows the guideline   
+ package follows packaging guidelines   
+ license is valid, matches upstream and is included  
+ spec file is legible and is written in American English   
+ source matches upstream   
+ Requires and BR OK   
+ files ownership OK  
  
Approved.  
  
One suggestion, replace the package version in Source by %{version}.  
It will save you some typing for future versions. :-)  


Note You need to log in before you can comment on or make changes to this bug.